Debian Bug report logs - #357869
ITA: xfonts-thai-ttf -- Thai TrueType fonts from NECTEC

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Chanop Silpa-Anan <chanop@debian.org>

Date: Mon, 20 Mar 2006 00:33:11 UTC

Owned by: Theppitak Karoonboonyanan <thep@linux.thai.net>

Severity: normal

Fixed in version thaifonts-scalable/1:0.4.4-4

Done: Theppitak Karoonboonyanan <thep@linux.thai.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#357869; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Chanop Silpa-Anan <chanop@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chanop Silpa-Anan <chanop@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: xfonts-thai-ttf
Date: Mon, 20 Mar 2006 11:17:16 +1100
Package: wnpp
Severity: normal



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

-- 
-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GE d? s+: a- C++ UL++ P+ L+++ E- W++ N++ o-- K- w---
O- M+ V-- PS PE++ Y PGP++ t+ 5++ X+ R tv+++ b++ DI+ D-
G e+++ h* r+ y+
------END GEEK CODE BLOCK------



Changed Bug title. Request was from AnĂ­bal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#357869; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@linux.thai.net>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 357869@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@linux.thai.net>
To: Debian Bug Tracking System <357869@bugs.debian.org>
Subject: ITA: xfonts-thai-ttf - Thai TrueType fonts from NECTEC
Date: Thu, 23 Mar 2006 09:43:04 +0700
Package: wnpp
Followup-For: Bug #357869
Owner: Theppitak Karoonboonyanan <thep@linux.thai.net>


I intend to adopt xfonts-thai-ttf package, whose upstream project,
thaifonts-scalable, has recently released a new version.
In local APT repository, it has provided ttf-thai-tlwg instead 
of xfonts-thai-ttf, and an additional t1-thai-tlwg as well.
The change was made by Chanop Silpa-Anan, the previous maintainer
himself.

-- System Information:
Debian Release: testing/unstable
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14
Locale: LANG=th_TH, LC_CTYPE=th_TH (charmap=TIS-620)



Changed Bug title. Request was from Theppitak Karoonboonyanan <thep@linux.thai.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Theppitak Karoonboonyanan <thep@linux.thai.net>. Request was from Theppitak Karoonboonyanan <thep@linux.thai.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Theppitak Karoonboonyanan <thep@linux.thai.net>:
Bug#357869; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Theppitak Karoonboonyanan <thep@linux.thai.net>. Full text and rfc822 format available.

Message #21 received at 357869@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Theppitak Karoonboonyanan <thep@linux.thai.net>, 357869@bugs.debian.org
Subject: Re: Bug#357869: ITA: xfonts-thai-ttf - Thai TrueType fonts from NECTEC
Date: Thu, 23 Mar 2006 09:18:53 +0100
[Message part 1 (text/plain, inline)]
Quoting Theppitak Karoonboonyanan (thep@linux.thai.net):
> Package: wnpp
> Followup-For: Bug #357869
> Owner: Theppitak Karoonboonyanan <thep@linux.thai.net>
> 
> 
> I intend to adopt xfonts-thai-ttf package, whose upstream project,
> thaifonts-scalable, has recently released a new version.
> In local APT repository, it has provided ttf-thai-tlwg instead 
> of xfonts-thai-ttf, and an additional t1-thai-tlwg as well.
> The change was made by Chanop Silpa-Anan, the previous maintainer
> himself.


Would you be interested in joining the pkg-fonts maintenance team?

The team gathers together all developers participating in fotn
packages maintenance.

You, of course, remain the maintainer of your package (unless you're
OK for team maintenance)....the team is first a common place for font
package maintainers....

There's also a chance that the team will take over the maintenance of
the fontforge package, which has recently been orphaned by Chanop.

You can join by subscribing to the team mailing list: 

http://lists.alioth.debian.org/mailman/listinfo/pkg-fonts-devel


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Theppitak Karoonboonyanan <thep@linux.thai.net>:
Bug#357869; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Theppitak Karoonboonyanan" <thep@linux.thai.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Theppitak Karoonboonyanan <thep@linux.thai.net>. Full text and rfc822 format available.

Message #26 received at 357869@bugs.debian.org (full text, mbox):

From: "Theppitak Karoonboonyanan" <thep@linux.thai.net>
To: "Christian Perrier" <bubulle@debian.org>
Cc: 357869@bugs.debian.org
Subject: Re: Bug#357869: ITA: xfonts-thai-ttf - Thai TrueType fonts from NECTEC
Date: Thu, 23 Mar 2006 22:52:46 +0700
On 3/23/06, Christian Perrier <bubulle@debian.org> wrote:
> Would you be interested in joining the pkg-fonts maintenance team?
>
> The team gathers together all developers participating in fotn
> packages maintenance.

Thank you for the contact. I've subscribed.

Regards,
-Thep.
--
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/



Reply sent to Theppitak Karoonboonyanan <thep@linux.thai.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chanop Silpa-Anan <chanop@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 357869-close@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@linux.thai.net>
To: 357869-close@bugs.debian.org
Subject: Bug#357869: fixed in thaifonts-scalable 0.4.4-3
Date: Fri, 02 Jun 2006 04:49:04 -0700
Source: thaifonts-scalable
Source-Version: 0.4.4-3

We believe that the bug you reported is fixed in the latest version of
thaifonts-scalable, which is due to be installed in the Debian FTP archive:

t1-thai-tlwg_0.4.4-3_all.deb
  to pool/main/t/thaifonts-scalable/t1-thai-tlwg_0.4.4-3_all.deb
thaifonts-scalable_0.4.4-3.diff.gz
  to pool/main/t/thaifonts-scalable/thaifonts-scalable_0.4.4-3.diff.gz
thaifonts-scalable_0.4.4-3.dsc
  to pool/main/t/thaifonts-scalable/thaifonts-scalable_0.4.4-3.dsc
thaifonts-scalable_0.4.4.orig.tar.gz
  to pool/main/t/thaifonts-scalable/thaifonts-scalable_0.4.4.orig.tar.gz
ttf-thai-tlwg_0.4.4-3_all.deb
  to pool/main/t/thaifonts-scalable/ttf-thai-tlwg_0.4.4-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 357869@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Theppitak Karoonboonyanan <thep@linux.thai.net> (supplier of updated thaifonts-scalable package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Apr 2006 15:06:55 +0700
Source: thaifonts-scalable
Binary: t1-thai-tlwg ttf-thai-tlwg
Architecture: source all
Version: 0.4.4-3
Distribution: unstable
Urgency: low
Maintainer: Theppitak Karoonboonyanan <thep@linux.thai.net>
Changed-By: Theppitak Karoonboonyanan <thep@linux.thai.net>
Description: 
 t1-thai-tlwg - Thai fonts in Type1 format
 ttf-thai-tlwg - Thai fonts in TrueType format
Closes: 321688 324240 332156 357869
Changes: 
 thaifonts-scalable (0.4.4-3) unstable; urgency=low
 .
   * transition to X11R7
     + debian/control:
       - removed build-dep on xutils
       - made t1-thai-tlwg depend on xfonts-utils >> 1:1.0.0
       - build-dep on debhelper >= 5.0.31 for dh_installxfonts that supports
         Xorg 7 directories
     + debian/rules, debian/t1-thai-tlwg.dirs,
       debian/{t1,ttf}-thai-tlwg.install:
       - used dh_install instead of manully installing files
       - removed Type1 fonts installation in /usr/share/fonts/type1,
         as well as symlinks from /usr/X11R6/lib/X11/fonts/Type1
       - installed X11 Type1 fonts in /usr/share/fonts/X11
       - moved X11 Type1 fonts.scale to /etc/X11/fonts/X11R7/Type1
       - used dh_installxfonts for t1-thai-tlwg package
     + debian/t1-thai-tlwg.scale, debian/ttf-thai-tlwg.scale:
       - created predefined fonts.scale files for both packages
     + debian/t1-thai-tlwg.post{inst,rm}:
       - removed, as the update-fonts* scripts are now automatically done with
         dh_installxfonts
   * debian/rules:
     - removed unneeded dh_strip, dh_shlibdeps, dh_link
   * debian/control:
     - conflicted with xfonts-thai-ttf, for package renaming
   * debian/ttf-thai-tlwg.config:
     - added
   * debian/lintian-overrides:
     - added lintian override for package-depends-on-an-x-font-package,
       as xfonts-utils is not a font package at all
 .
 thaifonts-scalable (0.4.4-2) unstable; urgency=low
 .
   * New maintainer (Closes: #357869)
   * debian/control:
     - put myself as the maintainer
     - added back debconf dependency, and optionally debconf-2.0
       (Closes: #332156)
     - updated description
   * debian/ttf-thai-tlwg.docs, debian/t1-thai-tlwg.docs:
     - added NEWS and README
     - removed upstream ChangeLog
   * debian/rules:
     - removed upstream ChangeLog gzip
   * debian/copyright:
     - clarified font licenses (Closes: #321688)
   * debian/ttf-thai-tlwg.templates:
     - updated package name and config files in description
     - rewrote the description (Closes: #324240)
 .
 thaifonts-scalable (0.4.4-1) unstable; urgency=low
 .
   * New upstream release
     - Fix Loma's line gap problem with OpenOffice.org.
     - Clean up TTF fields for consistency.
     - Add enspace and emspace glyphs in fonts.
   * debian/control:
     - Optionally build-depend on xutils|ttmkfdir, for debian builds.
Files: 
 b66f996ecce4c9f4a543197babe07dd1 715 x11 optional thaifonts-scalable_0.4.4-3.dsc
 edd8502628d8e8096cbf5580f7facb2e 2410161 x11 optional thaifonts-scalable_0.4.4.orig.tar.gz
 edc37921d5963f4397c6f6b117d17ec4 6278 x11 optional thaifonts-scalable_0.4.4-3.diff.gz
 ed192e7649b3f1e72498243beb785cc7 1708304 x11 optional t1-thai-tlwg_0.4.4-3_all.deb
 1e7e24d0f373a47f28c5fcd985aec178 744462 x11 optional ttf-thai-tlwg_0.4.4-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFETeC+1OXtrMAUPS0RAq2OAKC3dRRZq46szciFP+MeoAjhL1WlbwCfaowj
gmQWyXCSl9A6LEnilDTq7kw=
=lvUe
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Theppitak Karoonboonyanan <thep@linux.thai.net>:
Bug#357869; Package wnpp. Full text and rfc822 format available.

Message #34 received at 357869@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Theppitak Karoonboonyanan <thep@linux.thai.net>
Cc: 357869@bugs.debian.org
Subject: Re: Bug#357869: marked as done (ITA: xfonts-thai-ttf -- Thai TrueType fonts from NECTEC)
Date: Thu, 8 Jun 2006 03:39:17 +0200
[Message part 1 (text/plain, inline)]
reopen 357869
thanks

Re: Debian Bug Tracking System 2006-06-02 <handler.357869.D357869.114924909714047.ackdone@bugs.debian.org>
> Source: thaifonts-scalable
> Source-Version: 0.4.4-3

Wrong bug number.

If this package is supposed to replace xfonts-thai-ttf, you need to
provide transitional packages, and ask for the old packages' removal.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Theppitak Karoonboonyanan <thep@linux.thai.net>:
Bug#357869; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Theppitak Karoonboonyanan" <thep@linux.thai.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Theppitak Karoonboonyanan <thep@linux.thai.net>. Full text and rfc822 format available.

Message #41 received at 357869@bugs.debian.org (full text, mbox):

From: "Theppitak Karoonboonyanan" <thep@linux.thai.net>
To: "Christoph Berg" <myon@debian.org>, 357869@bugs.debian.org
Subject: Re: Bug#357869: marked as done (ITA: xfonts-thai-ttf -- Thai TrueType fonts from NECTEC)
Date: Thu, 8 Jun 2006 17:32:04 +0700
On 6/8/06, Christoph Berg <myon@debian.org> wrote:
> reopen 357869
> thanks
>
> Re: Debian Bug Tracking System 2006-06-02 <handler.357869.D357869.114924909714047.ackdone@bugs.debian.org>
> > Source: thaifonts-scalable
> > Source-Version: 0.4.4-3
>
> Wrong bug number.
>
> If this package is supposed to replace xfonts-thai-ttf, you need to
> provide transitional packages, and ask for the old packages' removal.

Actually, I had done this by providing a transitional package for
xfonts-thai-ttf in pending upload of 0.4.4-4, while waiting it to
pass the NEW queue. And I had contacted my sponsor for the
upload right before this report arrived.

Now that it's rejected  for versioning reason. So, it's a chance to
close this bug in next re-upload.

-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Theppitak Karoonboonyanan <thep@linux.thai.net>:
Bug#357869; Package wnpp. Full text and rfc822 format available.

Message #44 received at 357869@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Theppitak Karoonboonyanan <thep@linux.thai.net>
Cc: 357869@bugs.debian.org
Subject: Re: Bug#357869: marked as done (ITA: xfonts-thai-ttf -- Thai TrueType fonts from NECTEC)
Date: Thu, 8 Jun 2006 15:49:32 +0200
Re: Theppitak Karoonboonyanan 2006-06-08 <75bffeb70606080332k180a181cq2071ec21a63a8b9f@mail.gmail.com>
> Actually, I had done this by providing a transitional package for
> xfonts-thai-ttf in pending upload of 0.4.4-4, while waiting it to
> pass the NEW queue. And I had contacted my sponsor for the
> upload right before this report arrived.
> 
> Now that it's rejected  for versioning reason. So, it's a chance to
> close this bug in next re-upload.

Ah... I had assumed you'd build the transitional package from the new
source.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/



Reply sent to Theppitak Karoonboonyanan <thep@linux.thai.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chanop Silpa-Anan <chanop@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 357869-close@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@linux.thai.net>
To: 357869-close@bugs.debian.org
Subject: Bug#357869: fixed in thaifonts-scalable 1:0.4.4-4
Date: Thu, 08 Jun 2006 08:17:10 -0700
Source: thaifonts-scalable
Source-Version: 1:0.4.4-4

We believe that the bug you reported is fixed in the latest version of
thaifonts-scalable, which is due to be installed in the Debian FTP archive:

t1-thai-tlwg_0.4.4-4_all.deb
  to pool/main/t/thaifonts-scalable/t1-thai-tlwg_0.4.4-4_all.deb
thaifonts-scalable_0.4.4-4.diff.gz
  to pool/main/t/thaifonts-scalable/thaifonts-scalable_0.4.4-4.diff.gz
thaifonts-scalable_0.4.4-4.dsc
  to pool/main/t/thaifonts-scalable/thaifonts-scalable_0.4.4-4.dsc
ttf-thai-tlwg_0.4.4-4_all.deb
  to pool/main/t/thaifonts-scalable/ttf-thai-tlwg_0.4.4-4_all.deb
xfonts-thai-ttf_0.4.4-4_all.deb
  to pool/main/t/thaifonts-scalable/xfonts-thai-ttf_0.4.4-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 357869@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Theppitak Karoonboonyanan <thep@linux.thai.net> (supplier of updated thaifonts-scalable package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  8 Jun 2006 17:37:19 +0700
Source: thaifonts-scalable
Binary: t1-thai-tlwg xfonts-thai-ttf ttf-thai-tlwg
Architecture: source all
Version: 1:0.4.4-4
Distribution: unstable
Urgency: low
Maintainer: Theppitak Karoonboonyanan <thep@linux.thai.net>
Changed-By: Theppitak Karoonboonyanan <thep@linux.thai.net>
Description: 
 t1-thai-tlwg - Thai fonts in Type1 format
 ttf-thai-tlwg - Thai fonts in TrueType format
 xfonts-thai-ttf - Thai TrueType fonts (transitional package)
Closes: 141075 259797 294781 324241 330650 357869
Changes: 
 thaifonts-scalable (1:0.4.4-4) unstable; urgency=low
 .
   * debian/control:
     - added xfonts-thai-ttf as a dummy package for smooth transition
       (epoch introduced, to override the old xfonts-thai-ttf cvs versioning)
       Closes: #357869.
     - removed conflict with xfonts-thai-ttf from ttf-thai-tlwg, to let the
       transitional package install
     - build-depends, rather than build-depends-indep, on debhelper
     - removed dependency on debconf and po-debconf, as its use here just to
       show some note was apparently an abuse. Besides, the message is
       considered outdated with the new Xorg.
   * debian/ttf-thai-tlwg.{config,templates}, debian/po/*:
     - removed, according to debconf abuse removal
     - closed bugs that propose debconf template translation. Thanks to
       translators, and sorry for dropping your works.
       Closes: #259797, #294781, #324241, 330650.
   * debian/rules:
     - added back upstream changelog
   * debian/t1-thai-tlwg.install:
     - moved fonts.scale back from /etc/X11/fonts/X11R7 to /etc/X11/fonts,
       according to recent changes in dh_installxfonts and update-fonts-scale.
       See #363482, #364530, #366234.
   * debian/control:
     - Build-dep on debhelper >= 5.0.35 and Dep on xfonts-utils >= 1:1.0.0-4.
     - bumped standard version to 3.7.2. No changes needed.
   * closed an old bug proposing defoma usage, as it has been used for several
     releases. Closes: #141075.
Files: 
 e0adcb6d78cbb8ef2e8b758f90a05940 734 x11 optional thaifonts-scalable_0.4.4-4.dsc
 161569d9f6da1a0d07b0d9ce1a1b614c 6099 x11 optional thaifonts-scalable_0.4.4-4.diff.gz
 fddbdfa5fcebbdee59d60d65840fcde6 1751016 x11 optional t1-thai-tlwg_0.4.4-4_all.deb
 48e821fc4a299c93d07b511523ec7143 717498 x11 optional ttf-thai-tlwg_0.4.4-4_all.deb
 c83e05b385e23add2d4992de32d8d1cc 11956 x11 optional xfonts-thai-ttf_0.4.4-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEiCip1OXtrMAUPS0RAoCPAJwJD4573oP1/spLXnYyFdiq2e/UMgCgvS91
8rDCwvPrjvRnJoXzpO5PpGY=
=m8xM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 15:03:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:55:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.